%define major 1
%define libname %mklibname magic %{major}
%define develname %mklibname -d magic
%define staticname %mklibname -d -s magic


Summary:	A utility for determining file types
Name:		file
Version:	5.25
Release:	%mkrel 1
License:	BSD
Group:		File tools
URL:		http://www.darwinsys.com/file/
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.xz
Patch3:		file-4.24-selinux.patch
Patch4:		file-5.04-oracle.patch
Patch7:		file-5.05-dump.patch
Patch8:		file-5.15-berkeleydb.patch
Patch9:		file-4.20-xen.patch
Patch13:	file-5.15-images.patch
Patch14:	file-4.20-apple.patch
Patch17:	file-5.19-image-fmt-widths.patch
Patch100:	file-5.22-awk-perl.patch
Patch101:	file-5.24-varied.patch

BuildRequires:	zlib-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	%{_lib}python3-devel
Requires:	%{libname} = %{version}

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library for handling magic files

%description -n	%{libname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%package -n	%{develname}
Summary:	Development files to build applications that handle magic files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	%{name} >= %{version}-%{release}
Provides:	libmagic-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	magic-devel = %{version}-%{release}

%description -n	%{develname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on. 

%package -n	%{staticname}
Summary:	Static library to build applications that handle magic files
Group:		Development/Libraries
Requires:	%{develname} = %{version}
Provides:	libmagic-static-devel = %{version}-%{release}
Provides:	magic-static-devel = %{version}-%{release}
%define oldstat %mklibname -s -d magic 1
%rename		%{oldstat}

%description -n	%{staticname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on. 

%package -n	python-magic
Summary:	Python module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description -n	python-magic
Libmagic is a library for handling the so called magic files the 'file'
command is based on. 

This package contains the python binding for libmagic.

%package -n	python3-magic
Summary:	Python 3 module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description -n	python3-magic
Libmagic is a library for handling the so called magic files the 'file'
command is based on. 

This package contains the python 3 binding for libmagic.

%prep
%setup -q
%patch3 -p1 -b .selinux~
%patch4 -p1 -b .oracle~
%patch7 -p1 -b .dump~
%patch8 -p1 -b .berkeley~
%patch9 -p1 -b .xen~
%patch13 -p1 -b .images~
%patch14 -p0 -b .apple~
%patch17 -p1 -b .hd~
%patch100 -p1
%patch101 -p1

cp -a python python3

%build
autoreconf -vfi

CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure2_5x --enable-static
%make

pushd python
%py2_build
popd

pushd python3
%py3_build
popd

%install
rm -rf %buildroot
%make_install

# install one missing header file
install -m644 src/file.h %{buildroot}%{_includedir}/file.h

pushd python
%py2_install
popd

pushd python3
%py3_install
popd

#kill it
rm -f %buildroot/%{_libdir}/*.la


%files
%doc README MAINT ChangeLog
%{_bindir}/*
%{_datadir}/misc/*
%{_mandir}/man1/*
%{_mandir}/man4/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*

%files -n %{staticname}
%{_libdir}/*.a

%files -n python-magic
%doc python/README python/example.py
%{python2_sitelib}/*

%files -n python3-magic
%doc python/README python/example.py
%{python3_sitelib}/*


%changelog
* Mon May 09 2016 bb <bb> 5.25-1pclos2016
- update update update

* Sat Apr 14 2014 ghostbunny <ghostbunny at gmx dot de> 5.18-1pclos2014
- 5.18

* Thu Feb 14 2014 bb <bb> 5.17-1pclos2014
- update


